## gtkextratypebuiltins

gtkextratypebuiltins

## Synopsis

    #include <gtkextra.h>

    GType               gtk_icon_list_mode_get_type         (void);
    #define             GTK_TYPE_ICON_LIST_MODE
    GType               gtk_plot_scale_get_type             (void);
    #define             GTK_TYPE_PLOT_SCALE
    GType               gtk_plot_symbol_type_get_type       (void);
    #define             GTK_TYPE_PLOT_SYMBOL_TYPE
    GType               gtk_plot_symbol_style_get_type      (void);
    #define             GTK_TYPE_PLOT_SYMBOL_STYLE
    GType               gtk_plot_border_style_get_type      (void);
    #define             GTK_TYPE_PLOT_BORDER_STYLE
    GType               gtk_plot_line_style_get_type        (void);
    #define             GTK_TYPE_PLOT_LINE_STYLE
    GType               gtk_plot_connector_get_type         (void);
    #define             GTK_TYPE_PLOT_CONNECTOR
    GType               gtk_plot_label_pos_get_type         (void);
    #define             GTK_TYPE_PLOT_LABEL_POS
    GType               gtk_plot_error_get_type             (void);
    #define             GTK_TYPE_PLOT_ERROR
    GType               gtk_plot_orientation_get_type       (void);
    #define             GTK_TYPE_PLOT_ORIENTATION
    GType               gtk_plot_axis_pos_get_type          (void);
    #define             GTK_TYPE_PLOT_AXIS_POS
    GType               gtk_plot_label_style_get_type       (void);
    #define             GTK_TYPE_PLOT_LABEL_STYLE
    GType               gtk_plot_ticks_pos_get_type         (void);
    #define             GTK_TYPE_PLOT_TICKS_POS
    GType               gtk_plot_plane_get_type             (void);
    #define             GTK_TYPE_PLOT_PLANE
    GType               gtk_plot_side_get_type              (void);
    #define             GTK_TYPE_PLOT_SIDE
    GType               gtk_plot_bar_units_get_type         (void);
    #define             GTK_TYPE_PLOT_BAR_UNITS
    GType               gtk_plot_projection_get_type        (void);
    #define             GTK_TYPE_PLOT_PROJECTION
    GType               gtk_plot_canvas_action_get_type     (void);
    #define             GTK_TYPE_PLOT_CANVAS_ACTION
    GType               gtk_plot_canvas_flag_get_type       (void);
    #define             GTK_TYPE_PLOT_CANVAS_FLAG
    GType               gtk_plot_canvas_selection_get_type  (void);
    #define             GTK_TYPE_PLOT_CANVAS_SELECTION
    GType               gtk_plot_canvas_selection_mode_get_type
                                                            (void);
    #define             GTK_TYPE_PLOT_CANVAS_SELECTION_MODE
    GType               gtk_plot_canvas_pos_get_type        (void);
    #define             GTK_TYPE_PLOT_CANVAS_POS
    GType               gtk_plot_page_size_get_type         (void);
    #define             GTK_TYPE_PLOT_PAGE_SIZE
    GType               gtk_plot_page_orientation_get_type  (void);
    #define             GTK_TYPE_PLOT_PAGE_ORIENTATION
    GType               gtk_plot_units_get_type             (void);
    #define             GTK_TYPE_PLOT_UNITS
    GType               gtk_plot_arrow_get_type             (void);
    #define             GTK_TYPE_PLOT_ARROW
    GType               gtk_sheet_attr_type_get_type        (void);
    #define             GTK_TYPE_SHEET_ATTR_TYPE
    GType               gtk_plot_canvas_arrow_get_type      (void);
    #define             GTK_TYPE_PLOT_CANVAS_ARROW
    GType               gtk_plot_canvas_plot_pos_get_type   (void);
    #define             GTK_TYPE_PLOT_CANVAS_PLOT_POS

## Description

## Details

### gtk_icon_list_mode_get_type ()

    GType               gtk_icon_list_mode_get_type         (void);

Returns : |

### GTK_TYPE_ICON_LIST_MODE

    #define GTK_TYPE_ICON_LIST_MODE (gtk_icon_list_mode_get_type())

### gtk_plot_scale_get_type ()

    GType               gtk_plot_scale_get_type             (void);

Returns : |

### GTK_TYPE_PLOT_SCALE

    #define GTK_TYPE_PLOT_SCALE (gtk_plot_scale_get_type())

### gtk_plot_symbol_type_get_type ()

    GType               gtk_plot_symbol_type_get_type       (void);

Returns : |

### GTK_TYPE_PLOT_SYMBOL_TYPE

    #define GTK_TYPE_PLOT_SYMBOL_TYPE (gtk_plot_symbol_type_get_type())

### gtk_plot_symbol_style_get_type ()

    GType               gtk_plot_symbol_style_get_type      (void);

Returns : |

### GTK_TYPE_PLOT_SYMBOL_STYLE

    #define GTK_TYPE_PLOT_SYMBOL_STYLE (gtk_plot_symbol_style_get_type())

### gtk_plot_border_style_get_type ()

    GType               gtk_plot_border_style_get_type      (void);

Returns : |

### GTK_TYPE_PLOT_BORDER_STYLE

    #define GTK_TYPE_PLOT_BORDER_STYLE (gtk_plot_border_style_get_type())

### gtk_plot_line_style_get_type ()

    GType               gtk_plot_line_style_get_type        (void);

Returns : |

### GTK_TYPE_PLOT_LINE_STYLE

    #define GTK_TYPE_PLOT_LINE_STYLE (gtk_plot_line_style_get_type())

### gtk_plot_connector_get_type ()

    GType               gtk_plot_connector_get_type         (void);

Returns : |

### GTK_TYPE_PLOT_CONNECTOR

    #define GTK_TYPE_PLOT_CONNECTOR (gtk_plot_connector_get_type())

### gtk_plot_label_pos_get_type ()

    GType               gtk_plot_label_pos_get_type         (void);

Returns : |

### GTK_TYPE_PLOT_LABEL_POS

    #define GTK_TYPE_PLOT_LABEL_POS (gtk_plot_label_pos_get_type())

### gtk_plot_error_get_type ()

    GType               gtk_plot_error_get_type             (void);

Returns : |

### GTK_TYPE_PLOT_ERROR

    #define GTK_TYPE_PLOT_ERROR (gtk_plot_error_get_type())

### gtk_plot_orientation_get_type ()

    GType               gtk_plot_orientation_get_type       (void);

Returns : |

### GTK_TYPE_PLOT_ORIENTATION

    #define GTK_TYPE_PLOT_ORIENTATION (gtk_plot_orientation_get_type())

### gtk_plot_axis_pos_get_type ()

    GType               gtk_plot_axis_pos_get_type          (void);

Returns : |

### GTK_TYPE_PLOT_AXIS_POS

    #define GTK_TYPE_PLOT_AXIS_POS (gtk_plot_axis_pos_get_type())

### gtk_plot_label_style_get_type ()

    GType               gtk_plot_label_style_get_type       (void);

Returns : |

### GTK_TYPE_PLOT_LABEL_STYLE

    #define GTK_TYPE_PLOT_LABEL_STYLE (gtk_plot_label_style_get_type())

### gtk_plot_ticks_pos_get_type ()

    GType               gtk_plot_ticks_pos_get_type         (void);

Returns : |

### GTK_TYPE_PLOT_TICKS_POS

    #define GTK_TYPE_PLOT_TICKS_POS (gtk_plot_ticks_pos_get_type())

### gtk_plot_plane_get_type ()

    GType               gtk_plot_plane_get_type             (void);

Returns : |

### GTK_TYPE_PLOT_PLANE

    #define GTK_TYPE_PLOT_PLANE (gtk_plot_plane_get_type())

### gtk_plot_side_get_type ()

    GType               gtk_plot_side_get_type              (void);

Returns : |

### GTK_TYPE_PLOT_SIDE

    #define GTK_TYPE_PLOT_SIDE (gtk_plot_side_get_type())

### gtk_plot_bar_units_get_type ()

    GType               gtk_plot_bar_units_get_type         (void);

Returns : |

### GTK_TYPE_PLOT_BAR_UNITS

    #define GTK_TYPE_PLOT_BAR_UNITS (gtk_plot_bar_units_get_type())

### gtk_plot_projection_get_type ()

    GType               gtk_plot_projection_get_type        (void);

Returns : |

### GTK_TYPE_PLOT_PROJECTION

    #define GTK_TYPE_PLOT_PROJECTION (gtk_plot_projection_get_type())

### gtk_plot_canvas_action_get_type ()

    GType               gtk_plot_canvas_action_get_type     (void);

Returns : |

### GTK_TYPE_PLOT_CANVAS_ACTION

    #define GTK_TYPE_PLOT_CANVAS_ACTION (gtk_plot_canvas_action_get_type())

### gtk_plot_canvas_flag_get_type ()

    GType               gtk_plot_canvas_flag_get_type       (void);

Returns : |

### GTK_TYPE_PLOT_CANVAS_FLAG

    #define GTK_TYPE_PLOT_CANVAS_FLAG (gtk_plot_canvas_flag_get_type())

### gtk_plot_canvas_selection_get_type ()

    GType               gtk_plot_canvas_selection_get_type  (void);

Returns : |

### GTK_TYPE_PLOT_CANVAS_SELECTION

    #define GTK_TYPE_PLOT_CANVAS_SELECTION (gtk_plot_canvas_selection_get_type())

### gtk_plot_canvas_selection_mode_get_type ()

    GType               gtk_plot_canvas_selection_mode_get_type
                                                            (void);

Returns : |

### GTK_TYPE_PLOT_CANVAS_SELECTION_MODE

    #define GTK_TYPE_PLOT_CANVAS_SELECTION_MODE (gtk_plot_canvas_selection_mode_get_type())

### gtk_plot_canvas_pos_get_type ()

    GType               gtk_plot_canvas_pos_get_type        (void);

Returns : |

### GTK_TYPE_PLOT_CANVAS_POS

    #define GTK_TYPE_PLOT_CANVAS_POS (gtk_plot_canvas_pos_get_type())

### gtk_plot_page_size_get_type ()

    GType               gtk_plot_page_size_get_type         (void);

Returns : |

### GTK_TYPE_PLOT_PAGE_SIZE

    #define GTK_TYPE_PLOT_PAGE_SIZE (gtk_plot_page_size_get_type())

### gtk_plot_page_orientation_get_type ()

    GType               gtk_plot_page_orientation_get_type  (void);

Returns : |

### GTK_TYPE_PLOT_PAGE_ORIENTATION

    #define GTK_TYPE_PLOT_PAGE_ORIENTATION (gtk_plot_page_orientation_get_type())

### gtk_plot_units_get_type ()

    GType               gtk_plot_units_get_type             (void);

Returns : |

### GTK_TYPE_PLOT_UNITS

    #define GTK_TYPE_PLOT_UNITS (gtk_plot_units_get_type())

### gtk_plot_arrow_get_type ()

    GType               gtk_plot_arrow_get_type             (void);

Returns : |

### GTK_TYPE_PLOT_ARROW

    #define GTK_TYPE_PLOT_ARROW (gtk_plot_arrow_get_type())

### gtk_sheet_attr_type_get_type ()

    GType               gtk_sheet_attr_type_get_type        (void);

Returns : |

### GTK_TYPE_SHEET_ATTR_TYPE

    #define GTK_TYPE_SHEET_ATTR_TYPE (gtk_sheet_attr_type_get_type())

### gtk_plot_canvas_arrow_get_type ()

    GType               gtk_plot_canvas_arrow_get_type      (void);

Returns : |

### GTK_TYPE_PLOT_CANVAS_ARROW

    #define GTK_TYPE_PLOT_CANVAS_ARROW (gtk_plot_canvas_arrow_get_type())

### gtk_plot_canvas_plot_pos_get_type ()

    GType               gtk_plot_canvas_plot_pos_get_type   (void);

Returns : |

### GTK_TYPE_PLOT_CANVAS_PLOT_POS

    #define GTK_TYPE_PLOT_CANVAS_PLOT_POS (gtk_plot_canvas_plot_pos_get_type())